#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n,k,x,p=0;
    ll niz[1005];

    cin >> n >> k >> x;

    if (k>n)
    {
        cout << -1;
        return 0;
    }
    if (n==1 && k==0)
    {
        cout << 1;
        return 0;
    }
    else if (n==1 && k>0)
    {
        cout << -1;
        return 0;
    }

    for (int i=1;i<=n;i+=2)
    {
        if (i>=k+2)
        {
            niz[i]=niz[k]-1;
            niz[i+1]=niz[k]-1;
        }
        else
        {
            niz[i]=2*x;
            if (i+1==2) niz[i+1]=x;
            else niz[i+1]=2*x;
        }
    }
    if (n%2==1 && n==3)
    {
        niz[n-2]++;
        niz[n-1]++;
        niz[n]=1;
    }
    //else if (n%2==1) niz[n]=niz[n-1];
    for (int i=1;i<=n;i++) cout << niz[i] << " ";

    return 0;
}